#pragma once

#include <coreplugin/inavigationwidgetfactory.h>
#include <QTableWidget>


class ProjectFSWidgetFactory: public Core::INavigationWidgetFactory
{
public:
	ProjectFSWidgetFactory();
	~ProjectFSWidgetFactory() {}

	Core::NavigationView createWidget();

	void saveSettings(QSettings * settings, int position, QWidget * widget);
	void restoreSettings(QSettings * settings, int position, QWidget * widget);

};
